package com.ruoyi.system.mapper.projectV2;

import com.ruoyi.system.domain.projectV2.ZsyzShyj;

import java.util.List;

/**
 * 招商引资_审核意见Mapper接口
 * 
 * @author 博曼
 * @date 2023-02-22
 */
public interface ZsyzShyjMapper 
{
    /**
     * 查询招商引资_审核意见
     * 
     * @param id 招商引资_审核意见ID
     * @return 招商引资_审核意见
     */
    public ZsyzShyj selectZsyzShyjById(Long id);

    /**
     * 查询招商引资_审核意见列表
     * 
     * @param zsyzShyj 招商引资_审核意见
     * @return 招商引资_审核意见集合
     */
    public List<ZsyzShyj> selectZsyzShyjList(ZsyzShyj zsyzShyj);

    /**
     * 新增招商引资_审核意见
     * 
     * @param zsyzShyj 招商引资_审核意见
     * @return 结果
     */
    public int insertZsyzShyj(ZsyzShyj zsyzShyj);

    /**
     * 修改招商引资_审核意见
     * 
     * @param zsyzShyj 招商引资_审核意见
     * @return 结果
     */
    public int updateZsyzShyj(ZsyzShyj zsyzShyj);

    /**
     * 删除招商引资_审核意见
     * 
     * @param id 招商引资_审核意见ID
     * @return 结果
     */
    public int deleteZsyzShyjById(Long id);

    /**
     * 批量删除招商引资_审核意见
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteZsyzShyjByIds(Long[] ids);
}
